# Copyright (c) 2000-2013, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free
%define _binary_payload w9.gzdio
%define _source_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1
%define namedversion 2.2-2.8
%define oname lift

Summary:        Scala Webapp Framework
Name:           lift_2.8.1
Version:        2.2
Release:        1%{?dist}
Epoch:          0
Group:          Development/Framework
License:        ASL 2.0
URL:            http://www.liftweb.com
Source0:        lift-2.2-2.8.tar.bz2
# git clone https://github.com/lift/lift.git
# git archive --prefix="lift-2.2-2.8/" --format=tar Lift-2.2-2.8-release | bzip2 > ../../SOURCES/lift-2.2-2.8.tar.bz2

Source1:        %{name}-jpp-depmap.xml
Source2:        %{name}-settings.xml
Patch0:         lift-parent-pom.patch
Patch1:         lift-framework-pom.patch
Patch2:         lift-modules-pom.patch
Patch3:         lift-openid-pom.patch
Patch4:         lift-archetypes-pom.patch
Requires(post): jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5
Requires:       java >= 0:1.6.0
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven-changes-plugin 
BuildRequires:  maven-archetype2 
BuildRequires:  maven-scala-plugin
BuildRequires:  maven-war-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-script-interpreter
BuildRequires:  yuicompressor-maven-plugin
BuildRequires:  apache-commons-sanselan
BuildRequires:  apacheds-core
BuildRequires:  apacheds-protocol-kerberos
BuildRequires:  apacheds-server
BuildRequires:  atomikos-transactions-essentials
BuildRequires:  databinder-dispatch_2.8.1
BuildRequires:  derby
BuildRequires:  geronimo-genesis
BuildRequires:  geronimo-genesis2
BuildRequires:  geronimo-jpa-1.0-api
BuildRequires:  geronimo-ejb-2.1-api
BuildRequires:  glassfish-persistence-1.0b-api
BuildRequires:  h2database
BuildRequires:  hc-project
BuildRequires:  james-project
BuildRequires:  jcip-annotations
BuildRequires:  jetty6
BuildRequires:  jetty6-maven2-plugins
BuildRequires:  joda-time
BuildRequires:  jwebunit
BuildRequires:  ldap-client-api
BuildRequires:  logback
BuildRequires:  mongo-java-driver22
BuildRequires:  oss-parent
BuildRequires:  openid4java
BuildRequires:  paranamer
BuildRequires:  scala-2.8.1-specs
BuildRequires:  scalacheck
BuildRequires:  scalajpa_2.8.0
BuildRequires:  scalate11
BuildRequires:  smack
BuildRequires:  squeryl_2.8.1
BuildRequires:  validator-htmlparser
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Web application framework for Scala.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
%{summary}.

%prep
%setup -q -n %{oname}-%{namedversion}
%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4

# tests requires other apacheds versions
rm -rf framework/lift-modules/lift-ldap/src/test/scala/

# test hanging
rm framework/lift-base/lift-util/src/test/scala/net/liftweb/util/MailerSpec.scala
for p in $(find . -name pom.xml); do
    sed -i -e 's/net\.sf\.alchim/net.alchim31.maven/' $p
done

cp %{SOURCE2} maven2-settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

%build
export M2SETTINGS=$(pwd)/maven2-settings.xml
export MAVEN_REPO_LOCAL=`pwd`/m2_repo/repository

mvn-jpp -e \
        -s ${M2SETTINGS} \
        -DscalaVersion=2.8.1 \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        -Dmaven.test.failure.ignore=true \
        install 

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-lift_2.8.1.pom
%add_to_maven_depmap net.liftweb lift_2.8.1 %{version} JPP/%{name} lift_2.8.1

install -m 644 resources/lift-parent/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-lift-parent_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-parent_2.8.1 %{version} JPP/%{name} lift-parent_2.8.1

install -m 644 archetypes/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-archetypes_2.8.1.pom
%add_to_maven_depmap net.liftweb archetypes_2.8.1 %{version} JPP/%{name} archetypes_2.8.1

install -m 644 archetypes/lift-archetype-basic/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-archetype-basic_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-archetype-basic_2.8.1 %{version} JPP/%{name} archetype-basic_2.8.1
install -m 644 archetypes/lift-archetype-basic/target/lift-archetype-basic_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/archetype-basic_2.8.1-%{version}.jar
install -m 644 archetypes/lift-archetype-basic/target/lift-archetype-basic_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/archetype-basic_2.8.1-sources-%{version}.jar

install -m 644 archetypes/lift-archetype-blank/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-archetype-blank_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-archetype-blank_2.8.1 %{version} JPP/%{name} archetype-blank_2.8.1
install -m 644 archetypes/lift-archetype-blank/target/lift-archetype-blank_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/archetype-blank_2.8.1-%{version}.jar
install -m 644 archetypes/lift-archetype-blank/target/lift-archetype-blank_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/archetype-blank_2.8.1-sources-%{version}.jar

install -m 644 archetypes/lift-archetype-jpa-basic/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-archetype-jpa-basic_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-archetype-jpa-basic_2.8.1 %{version} JPP/%{name} archetype-jpa-basic_2.8.1
install -m 644 archetypes/lift-archetype-jpa-basic/target/lift-archetype-jpa-basic_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/archetype-jpa-basic_2.8.1-%{version}.jar
install -m 644 archetypes/lift-archetype-jpa-basic/target/lift-archetype-jpa-basic_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/archetype-jpa-basic_2.8.1-sources-%{version}.jar

install -m 644 archetypes/lift-archetype-jpa-blank-single/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-archetype-jpa-blank-single_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-archetype-jpa-blank-single_2.8.1 %{version} JPP/%{name} archetype-jpa-blank-single_2.8.1
install -m 644 archetypes/lift-archetype-jpa-blank-single/target/lift-archetype-jpa-blank-single_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/archetype-jpa-blank-single_2.8.1-%{version}.jar
install -m 644 archetypes/lift-archetype-jpa-blank-single/target/lift-archetype-jpa-blank-single_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/archetype-jpa-blank-single_2.8.1-sources-%{version}.jar

install -m 644 archetypes/lift-archetype-jpa-blank/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-archetype-jpa-blank_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-archetype-jpa-blank_2.8.1 %{version} JPP/%{name} archetype-jpa-blank_2.8.1
install -m 644 archetypes/lift-archetype-jpa-blank/target/lift-archetype-jpa-blank_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/archetype-jpa-blank_2.8.1-%{version}.jar
install -m 644 archetypes/lift-archetype-jpa-blank/target/lift-archetype-jpa-blank_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/archetype-jpa-blank_2.8.1-sources-%{version}.jar

install -m 644 archetypes/lift-archetype-sbt/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-archetype-sbt_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-archetype-sbt_2.8.1 %{version} JPP/%{name} archetype-sbt_2.8.1
install -m 644 archetypes/lift-archetype-sbt/target/lift-archetype-sbt_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/archetype-sbt_2.8.1-%{version}.jar
install -m 644 archetypes/lift-archetype-sbt/target/lift-archetype-sbt_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/archetype-sbt_2.8.1-sources-%{version}.jar

#install -m 644 examples/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-examples_2.8.1.pom
#%add_to_maven_depmap net.liftweb examples_2.8.1 %{version} JPP/%{name} examples_2.8.1

#install -m 644 examples/example/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-example_2.8.1.pom
#%add_to_maven_depmap net.liftweb lift-example_2.8.1 %{version} JPP/%{name} example_2.8.1
#install -m 644 examples/example/target/lift-example_2.8.1-%{version}.war $RPM_BUILD_ROOT%{_javadir}/%{name}/example_2.8.1-%{version}.war

#install -m 644 examples/flotDemo/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-flot-demo_2.8.1.pom
#%add_to_maven_depmap net.liftweb lift-flot-demo_2.8.1 %{version} JPP/%{name} flot-demo_2.8.1
#install -m 644 examples/flotDemo/target/lift-flot-demo_2.8.1-%{version}.war $RPM_BUILD_ROOT%{_javadir}/%{name}/flot-demo_2.8.1-%{version}.war

#install -m 644 examples/hellodarwin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hellodarwin_2.8.1.pom
#%add_to_maven_depmap net.liftweb hellodarwin_2.8.1 %{version} JPP/%{name} hellodarwin_2.8.1
#install -m 644 examples/hellodarwin/target/hellodarwin_2.8.1-%{version}.war $RPM_BUILD_ROOT%{_javadir}/%{name}/hellodarwin_2.8.1-%{version}.war

#install -m 644 examples/hellofbc/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hellofbc_2.8.1.pom
#%add_to_maven_depmap net.liftweb lift-hellofbc_2.8.1 %{version} JPP/%{name} hellofbc_2.8.1
#install -m 644 examples/hellofbc/target/lift-hellofbc_2.8.1-%{version}.war $RPM_BUILD_ROOT%{_javadir}/%{name}/hellofbc_2.8.1-%{version}.war

#install -m 644 examples/hellolift/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hellolift_2.8.1.pom
#%add_to_maven_depmap net.liftweb lift-hellolift_2.8.1 %{version} JPP/%{name} hellolift_2.8.1
#install -m 644 examples/hellolift/target/lift-hellolift_2.8.1-%{version}.war $RPM_BUILD_ROOT%{_javadir}/%{name}/hellolift_2.8.1-%{version}.war

#install -m 644 examples/helloscalate/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hello-scalate_2.8.1.pom
#%add_to_maven_depmap net.liftweb lift-hello-scalate_2.8.1 %{version} JPP/%{name} hello-scalate_2.8.1
#install -m 644 examples/helloscalate/target/lift-hello-scalate_2.8.1-%{version}.war $RPM_BUILD_ROOT%{_javadir}/%{name}/hello-scalate_2.8.1-%{version}.war

#install -m 644 examples/http-authentication/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-http-authentication_2.8.1.pom
#%add_to_maven_depmap net.liftweb http-authentication_2.8.1 %{version} JPP/%{name} http-authentication_2.8.1
#install -m 644 examples/http-authentication/target/http-authentication_2.8.1-%{version}.war $RPM_BUILD_ROOT%{_javadir}/%{name}/http-authentication_2.8.1-%{version}.war

#install -m 644 examples/JPADemo/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-JPADemo-Master_2.8.1.pom
#%add_to_maven_depmap net.liftweb JPADemo-Master_2.8.1 %{version} JPP/%{name} JPADemo-Master_2.8.1

#install -m 644 examples/JPADemo/JPADemo-spa/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-JPADemo-spa_2.8.1.pom
#%add_to_maven_depmap net.liftweb JPADemo-spa_2.8.1 %{version} JPP/%{name} JPADemo-spa_2.8.1
#install -m 644 examples/JPADemo/JPADemo-spa/target/JPADemo-spa_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/JPADemo-spa_2.8.1-%{version}.jar

#install -m 644 examples/JPADemo/JPADemo-web/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-JPADemo-web_2.8.1.pom
#%add_to_maven_depmap net.liftweb JPADemo-web_2.8.1 %{version} JPP/%{name} JPADemo-web_2.8.1
#install -m 644 examples/JPADemo/JPADemo-web/target/JPADemo-web_2.8.1-%{version}.war $RPM_BUILD_ROOT%{_javadir}/%{name}/JPADemo-web_2.8.1-%{version}.war

#install -m 644 examples/skittr/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-skitr-example_2.8.1.pom
#%add_to_maven_depmap net.liftweb skittr-example_2.8.1 %{version} JPP/%{name} skittr-example_2.8.1
#install -m 644 examples/skittr/target/skittr-example_2.8.1-%{version}.war $RPM_BUILD_ROOT%{_javadir}/%{name}/skittr-example_2.8.1-%{version}.war

install -m 644 framework/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-framework_2.8.1.pom
%add_to_maven_depmap net.liftweb framework_2.8.1 %{version} JPP/%{name} framework_2.8.1

install -m 644 framework/lift-base/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-lift-base_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-base_2.8.1 %{version} JPP/%{name} lift-base_2.8.1

install -m 644 framework/lift-base/lift-actor/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-actor_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-actor_2.8.1 %{version} JPP/%{name} actor_2.8.1
install -m 644 framework/lift-base/lift-actor/target/lift-actor_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/actor_2.8.1-%{version}.jar
install -m 644 framework/lift-base/lift-actor/target/lift-actor_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/actor_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-base/lift-common/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-common_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-common_2.8.1 %{version} JPP/%{name} common_2.8.1
install -m 644 framework/lift-base/lift-common/target/lift-common_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/common_2.8.1-%{version}.jar
install -m 644 framework/lift-base/lift-common/target/lift-common_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/common_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-base/lift-json-ext/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-json-ext_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-json-ext_2.8.1 %{version} JPP/%{name} json-ext_2.8.1
install -m 644 framework/lift-base/lift-json-ext/target/lift-json-ext_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/json-ext_2.8.1-%{version}.jar
install -m 644 framework/lift-base/lift-json-ext/target/lift-json-ext_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/json-ext_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-base/lift-json/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-json_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-json_2.8.1 %{version} JPP/%{name} json_2.8.1
install -m 644 framework/lift-base/lift-json/target/lift-json_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/json_2.8.1-%{version}.jar
install -m 644 framework/lift-base/lift-json/target/lift-json_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/json_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-base/lift-util/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-util_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-util_2.8.1 %{version} JPP/%{name} util_2.8.1
install -m 644 framework/lift-base/lift-util/target/lift-util_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/util_2.8.1-%{version}.jar
install -m 644 framework/lift-base/lift-util/target/lift-util_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/util_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-base/lift-webkit/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-webkit_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-webkit_2.8.1 %{version} JPP/%{name} webkit_2.8.1
install -m 644 framework/lift-base/lift-webkit/target/lift-webkit_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/webkit_2.8.1-%{version}.jar
install -m 644 framework/lift-base/lift-webkit/target/lift-webkit_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/webkit_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-modules/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-modules_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-modules_2.8.1 %{version} JPP/%{name} modules_2.8.1

install -m 644 framework/lift-modules/lift-facebook/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-facebook_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-facebook_2.8.1 %{version} JPP/%{name} facebook_2.8.1
install -m 644 framework/lift-modules/lift-facebook/target/lift-facebook_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/facebook_2.8.1-%{version}.jar
install -m 644 framework/lift-modules/lift-facebook/target/lift-facebook_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/facebook_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-modules/lift-imaging/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-imaging_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-imaging_2.8.1 %{version} JPP/%{name} imaging_2.8.1
install -m 644 framework/lift-modules/lift-imaging/target/lift-imaging_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/imaging_2.8.1-%{version}.jar
install -m 644 framework/lift-modules/lift-imaging/target/lift-imaging_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/imaging_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-modules/lift-jta/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jta_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-jta_2.8.1 %{version} JPP/%{name} jta_2.8.1
install -m 644 framework/lift-modules/lift-jta/target/lift-jta_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jta_2.8.1-%{version}.jar
install -m 644 framework/lift-modules/lift-jta/target/lift-jta_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jta_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-modules/lift-ldap/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-ldap_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-ldap_2.8.1 %{version} JPP/%{name} ldap_2.8.1
install -m 644 framework/lift-modules/lift-ldap/target/lift-ldap_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/ldap_2.8.1-%{version}.jar
install -m 644 framework/lift-modules/lift-ldap/target/lift-ldap_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/ldap_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-modules/lift-machine/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-machine_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-machine_2.8.1 %{version} JPP/%{name} machine_2.8.1
install -m 644 framework/lift-modules/lift-machine/target/lift-machine_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/machine_2.8.1-%{version}.jar
install -m 644 framework/lift-modules/lift-machine/target/lift-machine_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/machine_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-modules/lift-oauth-mapper/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-oauth-mapper_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-oauth-mapper_2.8.1 %{version} JPP/%{name} oauth-mapper_2.8.1
install -m 644 framework/lift-modules/lift-oauth-mapper/target/lift-oauth-mapper_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/oauth-mapper_2.8.1-%{version}.jar
install -m 644 framework/lift-modules/lift-oauth-mapper/target/lift-oauth-mapper_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/oauth-mapper_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-modules/lift-oauth/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-oauth_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-oauth_2.8.1 %{version} JPP/%{name} oauth_2.8.1
install -m 644 framework/lift-modules/lift-oauth/target/lift-oauth_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/oauth_2.8.1-%{version}.jar
install -m 644 framework/lift-modules/lift-oauth/target/lift-oauth_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/oauth_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-modules/lift-openid/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-openid_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-openid_2.8.1 %{version} JPP/%{name} openid_2.8.1
install -m 644 framework/lift-modules/lift-openid/target/lift-openid_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openid_2.8.1-%{version}.jar
install -m 644 framework/lift-modules/lift-openid/target/lift-openid_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openid_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-modules/lift-paypal/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-paypal_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-paypal_2.8.1 %{version} JPP/%{name} paypal_2.8.1
install -m 644 framework/lift-modules/lift-paypal/target/lift-paypal_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/paypal_2.8.1-%{version}.jar
install -m 644 framework/lift-modules/lift-paypal/target/lift-paypal_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/paypal_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-modules/lift-scalate/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-scalate_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-scalate_2.8.1 %{version} JPP/%{name} scalate_2.8.1
install -m 644 framework/lift-modules/lift-scalate/target/lift-scalate_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/scalate_2.8.1-%{version}.jar
install -m 644 framework/lift-modules/lift-scalate/target/lift-scalate_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/scalate_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-modules/lift-testkit/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-testkit_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-testkit_2.8.1 %{version} JPP/%{name} testkit_2.8.1
install -m 644 framework/lift-modules/lift-testkit/target/lift-testkit_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/testkit_2.8.1-%{version}.jar
install -m 644 framework/lift-modules/lift-testkit/target/lift-testkit_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/testkit_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-modules/lift-textile/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-textile_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-textile_2.8.1 %{version} JPP/%{name} textile_2.8.1
install -m 644 framework/lift-modules/lift-textile/target/lift-textile_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/textile_2.8.1-%{version}.jar
install -m 644 framework/lift-modules/lift-textile/target/lift-textile_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/textile_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-modules/lift-widgets/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-widgets_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-widgets_2.8.1 %{version} JPP/%{name} widgets_2.8.1
install -m 644 framework/lift-modules/lift-widgets/target/lift-widgets_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/widgets_2.8.1-%{version}.jar
install -m 644 framework/lift-modules/lift-widgets/target/lift-widgets_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/widgets_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-modules/lift-wizard/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-wizard_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-wizard_2.8.1 %{version} JPP/%{name} wizard_2.8.1
install -m 644 framework/lift-modules/lift-wizard/target/lift-wizard_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/wizard_2.8.1-%{version}.jar
install -m 644 framework/lift-modules/lift-wizard/target/lift-wizard_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/wizard_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-modules/lift-xmpp/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xmpp_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-xmpp_2.8.1 %{version} JPP/%{name} xmpp_2.8.1
install -m 644 framework/lift-modules/lift-xmpp/target/lift-xmpp_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/xmpp_2.8.1-%{version}.jar
install -m 644 framework/lift-modules/lift-xmpp/target/lift-xmpp_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/xmpp_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-persistence/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-persistence_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-persistence_2.8.1 %{version} JPP/%{name} persistence_2.8.1

install -m 644 framework/lift-persistence/lift-couchdb/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-couchdb_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-couchdb_2.8.1 %{version} JPP/%{name} couchdb_2.8.1
install -m 644 framework/lift-persistence/lift-couchdb/target/lift-couchdb_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/couchdb_2.8.1-%{version}.jar
install -m 644 framework/lift-persistence/lift-couchdb/target/lift-couchdb_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/couchdb_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-persistence/lift-jpa/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jpa_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-jpa_2.8.1 %{version} JPP/%{name} jpa_2.8.1
install -m 644 framework/lift-persistence/lift-jpa/target/lift-jpa_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jpa_2.8.1-%{version}.jar
install -m 644 framework/lift-persistence/lift-jpa/target/lift-jpa_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jpa_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-persistence/lift-mapper/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-mapper_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-mapper_2.8.1 %{version} JPP/%{name} mapper_2.8.1
install -m 644 framework/lift-persistence/lift-mapper/target/lift-mapper_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/mapper_2.8.1-%{version}.jar
install -m 644 framework/lift-persistence/lift-mapper/target/lift-mapper_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/mapper_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-persistence/lift-mongodb-record/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-mongodb-record_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-mongodb-record_2.8.1 %{version} JPP/%{name} mongodb-record_2.8.1
install -m 644 framework/lift-persistence/lift-mongodb-record/target/lift-mongodb-record_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/mongodb-record_2.8.1-%{version}.jar
install -m 644 framework/lift-persistence/lift-mongodb-record/target/lift-mongodb-record_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/mongodb-record_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-persistence/lift-mongodb/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-mongodb_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-mongodb_2.8.1 %{version} JPP/%{name} mongodb_2.8.1
install -m 644 framework/lift-persistence/lift-mongodb/target/lift-mongodb_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/mongodb_2.8.1-%{version}.jar
install -m 644 framework/lift-persistence/lift-mongodb/target/lift-mongodb_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/mongodb_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-persistence/lift-proto/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-proto_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-proto_2.8.1 %{version} JPP/%{name} proto_2.8.1
install -m 644 framework/lift-persistence/lift-proto/target/lift-proto_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/proto_2.8.1-%{version}.jar
install -m 644 framework/lift-persistence/lift-proto/target/lift-proto_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/proto_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-persistence/lift-record/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-record_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-record_2.8.1 %{version} JPP/%{name} record_2.8.1
install -m 644 framework/lift-persistence/lift-record/target/lift-record_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/record_2.8.1-%{version}.jar
install -m 644 framework/lift-persistence/lift-record/target/lift-record_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/record_2.8.1-sources-%{version}.jar

install -m 644 framework/lift-persistence/lift-squeryl-record/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-squeryl-record_2.8.1.pom
%add_to_maven_depmap net.liftweb lift-squeryl-record_2.8.1 %{version} JPP/%{name} squeryl-record_2.8.1
install -m 644 framework/lift-persistence/lift-squeryl-record/target/lift-squeryl-record_2.8.1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/squeryl-record_2.8.1-%{version}.jar
install -m 644 framework/lift-persistence/lift-squeryl-record/target/lift-squeryl-record_2.8.1-%{version}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/squeryl-record_2.8.1-sources-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for ar in *-%{version}*; do ln -sf ${ar} `echo $ar| sed  "s|-%{version}||g"`; done)

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
#%%{_javadir}/%{name}/*.war
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%changelog
* Sat Jan 19 2013 Ralph Apel <r.apel@r-apel.de> 0:2.2-1
- 2.2

